<div class="container-fluid">
  <div class="offset-1 col-10">
    <div class="row d-flex justify-content-center">
      <div class="text-center">
        <div class="card p-4 full-height d-flex flex-column justify-content-around">
          <%- imageHtml %>
          <div>
            <h4>
              <%- student.first_name %> <%- student.last_name %>
            </h4>
          </div>
        </div>
      </div>      
      <div>
        <div class="card full-height p-2 ml-2">
          <div class="card-body text-center">
            <h4>Rank</h4>
            <h2 class="card-title">
              #<span id="rank">-</span> <span class="text-muted small">/<span id="maxRank">-</span></span>
            </h2>

            <div class="d-flex flex-wrap justify-content-around pb-2 pt-4">
              <div class="px-2 pb-2 pb-md-0 text-center">
                <div id="circles-percentile"></div>
                <h6 class="fw-bold mt-3 mb-0">Percentile rank</h6>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div>
        <div class="card full-height p-2 ml-2">
          <div class="card-body text-center">
            <h4>Points</h4>
            <h2>
              <span id="winnedScore">-</span> / <span id="maxWinnableScore">-</span>
            </h2>
            <div class="d-flex flex-wrap justify-content-around pb-2 pt-4">
              <div class="px-2 pb-2 pb-md-0 text-center">
                <div id="circles-percentage"></div>
                <h6 class="fw-bold mt-3 mb-0">Percentage</h6>
              </div>
              <div class="px-2 pb-2 pb-md-0 text-center">
                <div id="circles-percentage-attempted"></div>
                <h6 class="fw-bold mt-3 mb-0">Percentage attempted</h6>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div>
        <div class="card full-height ml-2 p-2">
          <div class="card-body">
            <h4 class="card-title">Exams taken: <span id="attendedTests">-</span> / <span id="heldTests">-</span></h4>
            <h6 class="card-subtitle mb-2 text-muted">Overall statistics for those exams:</h6>
            <div class="d-flex flex-wrap justify-content-around pb-2 pt-4">
              <div class="px-2 pb-2 pb-md-0 text-center">
                <div id="circles-minScore"></div>
                <h6 class="fw-bold mt-3 mb-0">Min score</h6>
              </div>
              <div class="px-2 pb-2 pb-md-0 text-center">
                <div id="circles-maxScore"></div>
                <h6 class="fw-bold mt-3 mb-0">Max score</h6>
              </div>
              <div class="px-2 pb-2 pb-md-0 text-center">
                <div id="circles-avgScore"></div>
                <h6 class="fw-bold mt-3 mb-0">Average score</h6>
              </div>
            </div>
          </div>
        </div>
      </div>



    </div>
  </div>

</div>
<div class="container-fluid">
  <div class="row mt-1">
    <div class="card w-100">
      <div class="card-header d-flex justify-content-between">
        <h4>Selected exam statistics</h4>
        <div>
          <%  locals.combodata = {id: "sdc-all-test", class: "form-control", list: tests, name:"test", selected: 0} %>
          <%- include(`${locals.partialsRoot}/combo`) %>
        </div>
      </div>
      <div class="card-body">

        <div class="row">
          <div class="col-12 d-flex px-5">
            <div id="sdc-each-test" class="chart" style="min-width: calc(100% / 2 - 100px);"></div>  
            <div id="sdc-each-test-question" class="chart"  style="min-width: calc(100% / 2 - 100px);"></div>
            <div>
              <div class="card mt-5">
                <div class="card-body text-center">
                  <h4>Rank</h4>
                  <h4 class="card-title">
                    #<span id="eachTestRank">-</span> <span class="text-muted small">/<span id="eachTestMaxRank">-</span></span>
                  </h4>
      
                  <div class="d-flex flex-wrap justify-content-around">
                    <div class="px-2 pb-2 pb-md-0 text-center">
                      <div id="circles-eachTestPercentile"></div>
                      <h6 class="fw-bold mt-1 mb-0">Percentile rank</h6>
                    </div>
                  </div>
                </div>
              </div>
              <div class="card mt-2">
                <div class="card-body text-center">
                  <h4>Score</h4>
                  <h4 class="card-title">
                    <span id="eachTestWinnedScore">-</span> <span class="text-muted small">/<span id="eachTestMaxWinnableScore">-</span></span>
                  </h4>
      
                  <div class="d-flex flex-wrap justify-content-around">
                    <div class="px-2 pb-2 pb-md-0 text-center">
                      <div id="circles-eachTestPercentage"></div>
                      <h6 class="fw-bold mt-1 mb-0">Percentage</h6>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>        
        </div>
      </div>
    </div>
  </div>  
  <div class="row mt-1">
    <div class="card w-100">
      <div class="card-header">
        <h4>All times (exams) statistics</h4>
      </div>
      <div class="card-body">
        <div class="col-12 d-flex px-5">
          <div id="sdc-all" class="chart" style="min-width: calc(100% / 2 - 20px); height: 480px;"></div>  
          <div id="sdc-all-time" class="chart mb-5" style="min-width: calc(100% / 2 - 20px); height: 480px;"></div>
        </div>
      </div>
    </div>

        
  </div>  
</div>
